VirtualBox Main API

Public Attributes | List of all members
IGuestMouseEvent Interface Reference

Notification when guest mouse event happens. More...

Inheritance diagram for IGuestMouseEvent:

## Public Attributes
readonly attribute GuestMouseEventMode | mode
| If this event is relative, absolute or multi-touch. More...
readonly attribute long | x
| New X position, or X delta. More...
readonly attribute long | y
| New Y position, or Y delta. More...
readonly attribute long | z
| Z delta. More...
readonly attribute long | w
| W delta. More...
readonly attribute long | buttons
| Button state bitmask. More...
Public Attributes inherited from IReusableEvent
readonly attribute unsigned long | generation
| Current generation of event, incremented on reuse. More...
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type. More...
readonly attribute IEventSource | source
| Source of this event. More...
readonly attribute boolean | waitable
| If we can wait for this event being processed. More...

## Additional Inherited Members
Public Member Functions inherited from IReusableEvent
void | reuse ()
| Marks an event as reused, increments 'generation', fields shall no longer be considered valid. More...
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed. More...
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed. More...

## Detailed Description

Notification when guest mouse event happens.

Interface ID:
  `{179F8647-319C-4E7E-8150-C5837BD265F6}`

## Member Data Documentation

## ◆ mode

readonly attribute GuestMouseEventMode IGuestMouseEvent::mode

If this event is relative, absolute or multi-touch.

## ◆ x

readonly attribute long IGuestMouseEvent::x

New X position, or X delta.

## ◆ y

readonly attribute long IGuestMouseEvent::y

New Y position, or Y delta.

## ◆ z

readonly attribute long IGuestMouseEvent::z

Z delta.

## ◆ w

readonly attribute long IGuestMouseEvent::w

W delta.

## ◆ buttons

readonly attribute long IGuestMouseEvent::buttons

Button state bitmask.